# $Revision: 1.6 $, $Date: 2003/05/28 14:02:50 $
#
# Conditional build:
# _with_gpc:		enable gpc support
# _without_bgi:		disable BGI support
# _without_bmp:		disable BMP support
# _without_jpeg:	disable JPEG support
# _without_tiff:	disable TIFF support
#
Summary:	2D graphics C library
Summary(pl):	Biblioteka w C do grafiki 2D
Name:		grx
Version:	2.4.5
%define		tar_version	%(echo %{version} | tr -d .)
Release:	1
License:	LGPL
Group:		Libraries
Source0:	http://www.gnu.de/software/GRX/download/%{name}%{tar_version}.tar.gz
# Source0-md5:	6b14fcdfe993f12521333ffd1edbfb8f
Patch0:		%{name}-DESTDIR.patch
URL:		http://www.gnu.de/software/GRX/download/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GRX is a 2D graphics C library originaly written by Csaba Biegl for
DJ Delorie's DOS port of the GCC compiler. Now it support a big range
of platforms, the main four are: DOS (DJGPPv2), Linux console, X11 and
Win32 (Mingw).

%description -l pl
GRX to biblioteka w C do grafiki 2D, oryginalnie napisana przez Csab
Biegla dla dosowego portu DJ Delorie kompilatora GCC. Teraz obsuguje
wiele platform, gwnymi s: DOS (DJGPPv2), konsola Linuksa, X11 oraz
Win32 (Mingw).

%package devel
Summary:	Header files for grx library
Summary(pl):	Pliki nagwkowe biblioteki grx
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Header files for grx library.

%description devel -l pl
Pliki nagwkowe biblioteki grx.

%package static
Summary:	Static grx library
Summary(pl):	Statyczna biblioteka grx
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description static
Static grx library.

%description static -l pl
Statyczna biblioteka grx.

%prep
%setup -q -n %{name}%{tar_version}
%patch0 -p1

%build
./configure \
	--prefix=/usr \
	--target=X11 \
%{!?_without_jpeg:--enable-jpeg} \
	--enable-png \
	--enable-z \
	--enable-png-z \
%{!?_without_tiff:--enable-tiff} \
%{!?_without_bmp:--enable-bmp} \
	--enable-print \
%{?_with_gpc:--enable-gpc} \
	--enable-shared \
%{!?_without_bgi:--enable-bgi} \
	--with-fontpath=/usr/share/grx/fonts

%{__make} CCOPT="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
#install -d $RPM_BUILD_ROOT

%{__make} install	DESTDIR=$RPM_BUILD_ROOT
%{__make} install-bin	DESTDIR=$RPM_BUILD_ROOT
%{__make} install-fonts	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc readme doc/{changes,credits.doc,fna.txt}
%{!?_without_bgi:%doc doc/changes.bgi}
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%{_datadir}/grx

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: grx.spec,v $
Revision 1.6  2003/05/28 14:02:50  malekith
- use tr not sed for computing version (simpler and catched by distfiles)

Revision 1.5  2003/05/26 16:25:08  malekith
- massive attack: adding Source-md5

Revision 1.4  2003/05/25 05:48:27  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/04/21 15:23:50  qboosh
- remaining descriptions
- removed doc/watcom.txt from doc (useless on Linux)
- added *.so symlink to -devel

Revision 1.2  2003/03/31 14:58:59  qboosh
- description from readme and grx245um.htm

Revision 1.1  2003/03/02 12:46:49  ankry
- new
